#!/bin/bash
set +x

URLs=$(export | grep PURGE_URL | cut -d'=' -f2- | sed 's/"//g')

#if [[ -z "${URL}" ]]
#then
#  echo "Please defind a URL"
#  exit 1
#fi

if [[ -z "${BUNNYCDN_API}" ]]
then
  echo "Please define API_TOKEN"
  exit 1
fi

for f in ${URLs}; do
curl -s -X POST \
	-H 'AccessKey: '"${BUNNYCDN_API}"'' \
	-H 'Content-Length: 0' \
	'https://api.bunny.net/purge?url='"${f}"
echo "Cleared cache for ${f}"
done
